#
# spec file for package openstack-utils
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define version_unconverted 2017.11+git.1480685772.571a0f8

Name:           openstack-utils
Version:        2017.11+git.1480685772.571a0f8
Release:        2.1
Summary:        Helper utilities for OpenStack service
License:        Apache-2.0
Group:          Development/Libraries/Python
Url:            https://github.com/redhat-openstack/openstack-utils
Source:         %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Requires:       crudini

%description
Utilities to aid the setup and configuration of OpenStack packages.

 - openstack-config - Manipulate the openstack ini files
 - openstack-status - Give an overview of the status of installed services

%prep
%setup -q

%build

%install
install -d %{buildroot}%{_bindir}
install -m755 utils/* %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/man1
install -m644 man/*.1 %{buildroot}/%{_mandir}/man1

%files
%defattr(-,root,root)
%doc README.md NEWS
%license LICENSE
%{_bindir}/openstack-config
%{_bindir}/openstack-service
%{_bindir}/openstack-status
%{_mandir}/man1/openstack-config.1%{?ext_man}
%{_mandir}/man1/openstack-service.1.gz
%{_mandir}/man1/openstack-status.1%{?ext_man}

%changelog
* Mon Aug 20 2018 nicolas.bock@suse.com
- Fixed linter complaints about licenses
* Sun Dec  4 2016 cloud-devel@suse.de
- Update to version 2016.11+git.1480685772.571a0f8:
  * keystone command is no longer part of openstack
* Wed Sep 21 2016 mjura@suse.com
- Update to version openstack-utils-2016.11+git.1473418843.89a5245
* Wed Sep 21 2016 opensuse-packaging@opensuse.org
- Update to version 2016.11+git.1473418843.89a5245:
  + Remove man-page for openstack-db
* Mon Aug  8 2016 opensuse-packaging@opensuse.org
- Update to version 2016.11+git.1467979893.0f679b2:
  * openstack-db: remove out-of-date utility
  * 2016.1-1 release
* Mon Aug  8 2016 dmueller@suse.com
- drop fix-db.patch - this does not exist anymore upstream
* Sun Jun 19 2016 cloud-devel@suse.de
- Update to version 2015.21+git.1466261810.4ed8f0b:
  + Adds status check for neutron-lbaasv2-agent
* Wed Jan  6 2016 cloud-devel@suse.de
- Update to version 2015.21+git.1451948894.092baf8:
  + Determine MySQL variant in use in openstack-status
* Tue Jan  5 2016 cloud-devel@suse.de
- Update to version 2015.21+git.1451945258.8aed0bd:
  + Make 'openstack-service help' pull up man page
* Tue Dec  8 2015 cloud-devel@suse.de
- Update to version 2015.21+git.1449495953.d861259:
  + bump release number
* Fri Jul 31 2015 cloud-devel@suse.de
- Update to version 2014.21+git.1438267640.8b362f2:
  + openstack-status: determine sahara services to list
* Thu Jul 30 2015 cloud-devel@suse.de
- Update to version 2014.21+git.1438171559.5992126:
  + list sahara-all status rather than sahara-api
* Thu Jul  2 2015 cloud-devel@suse.de
- Update to version 2014.21+git.1435744397.5f55639:
  + doc: mention that openstack-config is deprecated
* Wed Apr 29 2015 cloud-devel@suse.de
- Update to version 2014.21+git.1430321875.f0d3722:
  + openstack-status: list tuskar and ironic services
  + openstack-status: list nova instances for all tenants
* Thu Mar 19 2015 cloud-devel@suse.de
- Update to version 2014.21+git.1422967986.34f7d65:
  + openstack-status: list all nova optional services
* Tue Dec  9 2014 cloud-devel@suse.de
- Update to version 2014.2.1+git.1418053814.79fb98c:
  + bumpe release number
  + NEWS: document changes since last release
* Wed Oct 29 2014 cloud-devel@suse.de
- Update to version 2014.1.3+git.1414505925.3a2029e:
  + openstack-service: mention recent change in NEWS
  + openstack-status: list "target" service status
  + openstack-status: fix detection of systemd installed services
* Fri Aug 29 2014 cloud-devel@suse.de
- Update to version 2014.1.3+git.1409246608.bd34653:
  + Skip neutron cleanup scripts for openstack-service utility
  + Remove references to openstack-demo-install
* Tue Jul 29 2014 cloud-devel@suse.de
- Update to version 2014.1.3+git.1406537705.3cf6d2f:
  + openstack-status: Add neutron-metering-agent.
  + openstack-status: Add openstack-ceilometer-notification.
* Thu Jun 26 2014 dmueller@suse.com
- Update to version 2014.1.3+git.1403518190.5f33951:
  + bump release number
  + maint: remove openstack-demo-install.1
  + bump release number
  + openstack-status: improve status for uncontactable httpd
  + openstack-status: handle dashboard redirect from http to https
* Tue Jun 10 2014 dmueller@suse.com
- Update to version 2014.1.1+git.1401972689.77a7fa8:
  + openstack-demo-install: remove this provisioning script
* Wed May 21 2014 dmueller@suse.com
- Update to version 2014.1.1+git.1400601894.9b10db2:
  + support all systemctl actions on systemd platforms
  + improve diagnostics for failure to sync DB
  + bump release number
  + report status of targetd if installed
  + openstack-status: report status of trove services
  + openstack-db: support trove database setup
* Tue Apr  1 2014 cloud-devel@suse.de
- Update to version 2013.2.3+git.1396353592.c2b8f6c:
  + openstack-status: report status of openstack-sahara service
* Mon Mar 31 2014 aj@suse.com
- Follow rename of openstack-$APP user to $APP.
  (https://bugs.launchpad.net/openstack-manuals/+bug/1300173)
* Fri Feb  7 2014 cloud-devel@suse.de
- Update to version 2013.2.3+git.1391702476.687c8f6:
  + create heat database with default character set utf-8
* Thu Jan 16 2014 cloud-devel@suse.de
- Update to version 2013.2.3+git.1389795372.7c70ed8:
  + report status of openstack-cinder-backup on >= Havana
* Fri Jan 10 2014 cloud-devel@suse.de
- Rebased patches:
  + fix-db.patch (only offset)
* Fri Jan 10 2014 cloud-devel@suse.de
- Update to version 2013.2.3+git.1389282046.0843f28:
  + fixes bz 1044155ensure correct permissions on $APP-manage.log
  + bump release and add NEWS
* Thu Nov 21 2013 cloud-devel@suse.de
- Update to latest git (6862401):
  + openstack-status: refactor printing of service status
  + openstack-status: display nova's view of its services and networks
  + openstack-db: allow control of the heat database
  + allow control of the neutron database
  + bump release number
  Thu Nov 21 01:09:35 UTC 2013 - None
- Rebased patches:
  + patches/fix-db.patch (only offset)
  + fix-db.patch (manually)
* Thu Nov 14 2013 cloud-devel@suse.de
- Update to latest git (a943b8a):
  + don't print nova volume status when not installed
* Wed Nov 13 2013 speilicke@suse.com
- Add refresh_patches service
* Fri Nov  1 2013 aj@suse.com
- Fix openstack-db to give proper bug address and invocation
  of manage command.
  (updated patch fix-db.patch)
* Wed Oct 30 2013 aj@suse.com
- Apply patch properly to fix build.
* Tue Oct 29 2013 aj@suse.com
- Fix syntax error in openstack-db (reported at
  https://bugs.launchpad.net/openstack-manuals/+bug/1245778)
  (updated patch fix-db.patch)
* Mon Oct 28 2013 speilicke@suse.com
- Update to version 2013.2.1+git.1382396927.b17bebe:
  + openstack-db: ask the user if changing the DB to mysqlbump release number
  + openstack-status: print ceilometer alarm services status
  + openstack-status: widen display to cater for wider service names
  + initial import
  + comments and copyright
  + use systemctl instead of ls to generate service list
  + added note about support distributions
  + renamed osctl to openstack-service
  + removed erroneous use of "sh"
  + added qpid to list of openstack services
  + Revert "added qpid to list of openstack services"
  + maint: whitespace tweaks to align with openstack-utils
  + require an action, and add --help
  + provide service listing support on older Fedora
  + openstack-db: add the --update option to sync the DB
  + added Makefile
  + openstack-service: mv osctl originated cmd into utils/
  + openstack-service: mention the new utility in NEWS
  + openstack-service: add a man page
  + doc: mention that openstack-db can update a db
- Refreshed fix-db.patch
* Thu Oct 17 2013 aj@suse.com
- Fix openstack-db for SLES11 (update patch fix-db.patch)
* Mon Oct 14 2013 aj@suse.com
- fix openstack-db for openSUSE (bnc#845639) (patch fix-db.patch)
* Fri Sep 27 2013 dmueller@suse.com
- update to 2013.2:
    openstack-status:
    don't print httpd status which is problematic on RHEL 6
    print neutron services status when installed
    print dbus service status
    print ceilometer services status when installed
    print heat services status when installed
    avoid deprecated commands
    print out all quantum services and update for grizzly
    fix detection of nova install
    improve reporting of service status
    openstack-db:
    prompt the user if we're switching databases
    fix setting of keystone mysql password broken in 2013.1-2
    provide more robust clearing of mysql users in --drop
    fix handling of mariadb
    openstack-demo-install:
    fix swift init loop in grizzly
    support systems with selinux disabled
    support adjusted keystone sample credentials in grizzly
    fix cgroup service handling
- Fix requires (now uses crudini for updating .ini files)
* Thu Aug  8 2013 dmueller@suse.com
- dummy changelog entry to make review team happy:
  * revert the commit below
* Mon Apr 22 2013 dmueller@suse.com
- fix upstream url
* Mon Mar 25 2013 speilicke@suse.com
- Upstream changed from Fedora to RedHat
* Mon Jan 28 2013 dmueller@suse.com
- add requires on python-iniparse
* Thu Jan 24 2013 saschpe@suse.de
- Initial version
